Skip to content
PromotionsDiscounts

Get discount

Returns the discount with its type, amount, rules, schedule and usage limits.

Path Parameters

discountId*string

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/discounts/7204558912004329313" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004329139",  "storeId": "7204558912004327977",  "sellerId": "7204558912004323447",  "name": "Bienvenida 10 %",  "description": "Polo de algodón pima para uso diario.",  "status": "draft",  "type": "percentage",  "target": "order",  "amount": 178,  "allocation": "once",  "maxQuantity": 2,  "applyAfterTaxes": false,  "isAutomatic": false,  "validFrom": "2026-09-28T15:30:00Z",  "validTo": "2026-09-28T15:30:00Z",  "usageLimit": 1,  "usageCount": 24,  "customerUsageLimit": 1,  "combineWithOtherDiscounts": false,  "rules": [    {      "field": "cartSubtotal",      "operator": "eq",      "decimalValues": [        1      ],      "integerValues": [        1      ],      "resourceIds": [        "7204558912004324902"      ],      "codes": [        "BIENVENIDA10"      ]    }  ],  "codes": [    {      "id": "7204558912004329139",      "code": "BIENVENIDA10",      "usageLimit": 1,      "usageCount": 24,      "createdOn": "2026-09-28T15:30:00Z",      "updatedOn": "2026-09-28T15:30:00Z"    }  ],  "createdOn": "2026-09-28T15:30:00Z",  "updatedOn": "2026-09-28T15:30:00Z"}